<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE locale SYSTEM "../../../../../lib/pkp/dtd/locale.dtd">

<!--
  * locale.xml
  *
  * Copyright (c) 2003-2008 John Willinsky
  * Distributed under the GNU GPL v2. For full terms see the file docs/COPYING.
  *
  * Localization strings for the en_US (U.S. English) locale.
  *
  * $Id: locale.xml,v 1.3 2009/06/09 23:37:16 tylerl Exp $
  -->
 
<locale name="en_US" full_name="U.S. English">
	<message key="plugins.importexport.users.displayName">Users XML Plugin</message>
	<message key="plugins.importexport.users.description">Import and export users</message>

	<message key="plugins.importexport.users.cliUsage"><![CDATA[Usage: {$scriptName} {$pluginName} [command] ...
Commands:
	import [xmlFileName] [press_path] [optional flags]
	export [xmlFileName] [press_path]
	export [xmlFileName] [press_path] [role_path1] [role_path2] ...

Optional flags:
	continue_on_error: If specified, do not stop importing users if an error occurs

	send_notify: If specified, send notification emails containing usernames
		and passwords to imported users

Examples:
	Import users into myPress from myImportFile.xml, continuing on error:
	{$scriptName} {$pluginName} import myImportFile.xml myPress continue_on_error

	Export all users from myPress:
	{$scriptName} {$pluginName} export myExportFile.xml myPress

	Export all users registered as reviewers, along with their reviewer roles only:
	{$scriptName} {$pluginName} export myExportFile.xml myPress reviewer
]]></message>
	<message key="plugins.importexport.users.import.importUsers">Import Users</message>
	<message key="plugins.importexport.users.import.instructions"><![CDATA[Select an XML data file containing user information to import into this press. See the press help for details on the format of this file.<br /><br />Note that if the imported file contains any usernames or email addresses that already exist in the system, the user data for those users will not be imported and any new roles to be created will be assigned to the existing users.]]></message>
	<message key="plugins.importexport.users.import.failedToImportUser">Failed to import user</message>
	<message key="plugins.importexport.users.import.failedToImportRole">Failed to assign user to role</message>
	<message key="plugins.importexport.users.import.dataFile">User data file</message>
	<message key="plugins.importexport.users.import.sendNotify">Send a notification email to each imported user containing the user's username and password.</message>
	<message key="plugins.importexport.users.import.continueOnError">Continue to import other users if a failure occurs.</message>
	<message key="plugins.importexport.users.import.noFileError">No file was uploaded!</message>
	<message key="plugins.importexport.users.import.usersWereImported">The following users were successfully imported into the system</message>
	<message key="plugins.importexport.users.import.errorsOccurred">Errors occurred during the import</message>
	<message key="plugins.importexport.users.import.confirmUsers">Confirm that these are the users you would like to import into the system</message>
	<message key="plugins.importexport.users.import.warning">Warning</message>
	<message key="plugins.importexport.users.import.encryptionMismatch">Cannot use passwords hashed with {$importHash}; OMP is configured to use {$ompHash}. If you continue, you will need to reset the imported users' passwords.</message>
	<message key="plugins.importexport.users.unknownPress">An unknown press path "{$pressPath}" was specified.</message>

	<message key="plugins.importexport.users.export.exportUsers">Export Users</message>
	<message key="plugins.importexport.users.export.exportByRole">Export By Role</message>
	<message key="plugins.importexport.users.export.exportAllUsers">Export All</message>
	<message key="plugins.importexport.users.export.errorsOccurred">Errors occurred during the export</message>
	<message key="plugins.importexport.users.export.couldNotWriteFile">Could not write to the file "{$fileName}".</message>
</locale>
